package db

import (
	"dc_golang_server_1/config"
	"gorm.io/gorm"

	"gorm.io/gorm/logger"

	"gorm.io/driver/postgres"

	"log"
	"os"
	"time"
)

var PgDb *gorm.DB

var NewLogger logger.Interface

func InitPgDb() {
	NewLogger = logger.New(
		log.New(os.Stdout, " ", log.LstdFlags), // io writer（日志输出的目标，前缀和日志包含的内容——译者注）
		logger.Config{
			SlowThreshold:             time.Second,  // 慢 SQL 阈值
			LogLevel:                  logger.Error, // 日志级别
			IgnoreRecordNotFoundError: true,         // 忽略ErrRecordNotFound（记录未找到）错误
			Colorful:                  true,         // 禁用彩色打印
		},
	)
	db, err := gorm.Open(postgres.Open(config.DbDSN), &gorm.Config{
		Logger: NewLogger,
	})
	if err != nil {
		log.Printf(err.Error())
	}
	//if conf.ShowSql {
	//	PgDb = db.Debug()
	//}else{
	PgDb = db
	//}
}
