package catch

import (
	"dc_golang_server_1/web/response"
	"github.com/gin-gonic/gin"
	"net/http"
)

func ExceptionCatch(c *gin.Context) {
	err := recover() //获取异常
	if err != nil {
		e := (err).(error)
		msg := ErrorMapping[e.Error()]
		if &msg == nil || msg == "" {
			c.JSON(http.StatusOK, response.FailAndMsg(e.Error()))
		} else {
			c.JSON(http.StatusOK, response.FailAndMsg(msg))
		}

	}
}

type ErrorMap map[string]string

var ErrorMapping = ErrorMap{
	"":               "信息不存在",
	"unexpected EOF": "参数格式不正确",
}
