package model

import (
	"dc_golang_server_1/model/conver"
)

func (WechatAppConfig) TableName() string {
	return "b_wechat_app_config"
}

// WechatAppConfig 微信应用配置
type WechatAppConfig struct {
	AppId     *string      `gorm:"primaryKey:app_id" json:"appId,omitempty"`     // APPID
	Name      *string      `gorm:"column:name" json:"name,omitempty"`            // 应用名称
	Secret    *string      `gorm:"column:secret" json:"secret,omitempty"`        // 微信应用secret
	CreatorId *uint32      `gorm:"column:creator_id" json:"creatorId,omitempty"` // 创建人
	UpdaterId *uint32      `gorm:"column:updater_id" json:"updaterId,omitempty"` // 修改人
	CreateAt  *conver.Time `gorm:"column:create_at" json:"createAt,omitempty"`   // 创建时间
	UpdateAt  *conver.Time `gorm:"column:update_at" json:"updateAt,omitempty"`   // 修改时间
}
type WechatAppConfigColumnsStruct struct {
	AppId     string
	Name      string
	Secret    string
	CreatorId string
	UpdaterId string
	CreateAt  string
	UpdateAt  string
}

var WechatAppConfigColumns = WechatAppConfigColumnsStruct{
	AppId:     "app_id",
	Name:      "name",
	Secret:    "secret",
	CreatorId: "creator_id",
	UpdaterId: "updater_id",
	CreateAt:  "create_at",
	UpdateAt:  "update_at",
}
