package model

import (
	"dc_golang_server_1/model/conver"
)

func (WechatMchConfig) TableName() string {
	return "b_wechat_mch_config"
}

// WechatMchConfig 微信商户配置
type WechatMchConfig struct {
	MchId       *string      `gorm:"primaryKey:mch_id" json:"mchId,omitempty"`          // 商户号
	Name        *string      `gorm:"column:name" json:"name,omitempty"`                 // 商户名称
	ApiV3Key    *string      `gorm:"column:api_v3_key" json:"apiV3Key,omitempty"`       // ApiV3Key
	MchSerialNo *string      `gorm:"column:mch_serial_no" json:"mchSerialNo,omitempty"` // 商户证书序号
	PrivateKey  *string      `gorm:"column:private_key" json:"privateKey,omitempty"`    // 商户私钥
	CreatorId   *uint32      `gorm:"column:creator_id" json:"creatorId,omitempty"`      // 创建人
	UpdaterId   *uint32      `gorm:"column:updater_id" json:"updaterId,omitempty"`      // 修改人
	CreateAt    *conver.Time `gorm:"column:create_at" json:"createAt,omitempty"`        // 创建时间
	UpdateAt    *conver.Time `gorm:"column:update_at" json:"updateAt,omitempty"`        // 修改时间
}
type WechatMchConfigColumnsStruct struct {
	MchId       string
	Name        string
	ApiV3Key    string
	MchSerialNo string
	PrivateKey  string
	CreatorId   string
	UpdaterId   string
	CreateAt    string
	UpdateAt    string
}

var WechatMchConfigColumns = WechatMchConfigColumnsStruct{
	MchId:       "mch_id",
	Name:        "name",
	ApiV3Key:    "api_v3_key",
	MchSerialNo: "mch_serial_no",
	PrivateKey:  "private_key",
	CreatorId:   "creator_id",
	UpdaterId:   "updater_id",
	CreateAt:    "create_at",
	UpdateAt:    "update_at",
}
