package model

import (
	"dc_golang_server_1/model/conver"
)

func (WechatPayConfig) TableName() string {
	return "b_wechat_pay_config"
}

// WechatPayConfig 微信支付配置
type WechatPayConfig struct {
	AreaServiceId *uint32      `gorm:"primaryKey:area_service_id" json:"areaServiceId,omitempty"` // 区域服务ID
	SpAppid       *string      `gorm:"column:sp_appid" json:"spAppid,omitempty"`                  // 服务商APPID
	SpMchid       *string      `gorm:"column:sp_mchid" json:"spMchid,omitempty"`                  // 服务商商户号
	SubMchid      *string      `gorm:"column:sub_mchid" json:"subMchid,omitempty"`                // 特约商户号
	CreatorId     *uint32      `gorm:"column:creator_id" json:"creatorId,omitempty"`              // 创建人
	UpdaterId     *uint32      `gorm:"column:updater_id" json:"updaterId,omitempty"`              // 修改人
	CreateAt      *conver.Time `gorm:"column:create_at" json:"createAt,omitempty"`                // 创建时间
	UpdateAt      *conver.Time `gorm:"column:update_at" json:"updateAt,omitempty"`                // 修改时间
}
type WechatPayConfigColumnsStruct struct {
	AreaServiceId string
	SpAppid       string
	SpMchid       string
	SubMchid      string
	CreatorId     string
	UpdaterId     string
	CreateAt      string
	UpdateAt      string
}

var WechatPayConfigColumns = WechatPayConfigColumnsStruct{
	AreaServiceId: "area_service_id",
	SpAppid:       "sp_appid",
	SpMchid:       "sp_mchid",
	SubMchid:      "sub_mchid",
	CreatorId:     "creator_id",
	UpdaterId:     "updater_id",
	CreateAt:      "create_at",
	UpdateAt:      "update_at",
}
