package response

import (
	responseState "dc_golang_server_1/web/response/state"
)

type ServerResponse struct {
	Code responseState.State `json:"code,omitempty"` //1000为成功，其他都是失败
	Msg  string              `json:"msg,omitempty"`  //非1000情况下的错误描述
}

type ServerDataResponse struct {
	ServerResponse
	Data interface{} `json:"data,omitempty"`
}

func Success(v interface{}) ServerDataResponse {
	return ServerDataResponse{ServerResponse: ServerResponse{Code: responseState.StateOK, Msg: responseState.StateMapping[responseState.StateOK]}, Data: v}
}

func Fail(code responseState.State) ServerResponse {
	return ServerResponse{Code: code, Msg: responseState.StateMapping[code]}
}

func FailAndMsg(msg string) ServerResponse {
	return ServerResponse{Code: responseState.StateBusinessError, Msg: msg}
}
