package v1

import (
	"dc_golang_server_1/exception/catch"
	"fmt"
	"github.com/gin-gonic/gin"
	"log"
	"net/http"

	wechatService "dc_golang_server_1/service/wechat"
)

//InitWechatPartnerRouter 在InitRouter中添加InitWechatPayConfigRout(r),进行路由初始化
func InitWechatPartnerRouter(engine *gin.Engine) {
	engine.POST("/wechat/partner/pay/notify/:mchID", payNotify)
	engine.POST("/wechat/partner/refund/notify/:mchID", refundNotify)
}

// WeLogin 微信登录
// @Tags 家长微信
// @Summary  登录
// @Description 微信code传至后台,后台返回token,token有效时长:24小时
// @Param code path string true "用户微信的code"
// @Product json
// @Success 200 {object} string	"{"code": 200, "token": string}"
// @Router /we/login/{code} [POST]
func WeLogin(c *gin.Context) {
	code := c.Param("code")

	fmt.Println(code)
	//todo  拿code去找腾讯要东西

	c.JSON(http.StatusOK, gin.H{
		"status": 200,
		"token":  "diohafuahfuihaeuifhrgjkngk3134",
	})
}

func payNotify(c *gin.Context) {
	defer catch.ExceptionCatch(c)
	mchID := c.Param("mchID")
	log.Println("微信支付回调通知处理开始：" + mchID)
	success := wechatService.PayBack(mchID, c.Request)
	if success {
		c.JSON(http.StatusOK, map[string]string{
			"code":    "SUCCESS",
			"message": "成功",
		})
	}
}

func refundNotify(c *gin.Context) {
	defer catch.ExceptionCatch(c)
	mchID := c.Param("mchID")
	log.Println("微信退款回调通知处理开始：" + mchID)
	success := wechatService.RefundBack(mchID, c.Request)
	if success {
		c.JSON(http.StatusOK, map[string]string{
			"code":    "SUCCESS",
			"message": "成功",
		})
	}
}
